Loading...
Searching...
No Matches
libuv.h File Reference

Go to the source code of this file.

## Functions

void | natsLibuv_Init (void)
| Initialize the adapter.
void | natsLibuv_SetThreadLocalLoop (uv_loop_t *loop)
| Register the event loop with the thread running `uv_run()`.
natsStatus | natsLibuv_Attach (void **userData, void *loop, natsConnection *nc, natsSock socket)
| Attach a connection to the given event loop.
natsStatus | natsLibuv_Read (void *userData, bool add)
| Start or stop polling on READ events.
natsStatus | natsLibuv_Write (void *userData, bool add)
| Start or stop polling on WRITE events.
natsStatus | natsLibuv_Detach (void *userData)
| The connection is closed, it can be safely detached.